summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--etc/nginx/sites-enabled/docs-ssl.site4
-rw-r--r--taler-build/update_doc_landing.sh24
2 files changed, 26 insertions, 2 deletions
diff --git a/etc/nginx/sites-enabled/docs-ssl.site b/etc/nginx/sites-enabled/docs-ssl.site
index 93d7a99..ae4dc37 100644
--- a/etc/nginx/sites-enabled/docs-ssl.site
+++ b/etc/nginx/sites-enabled/docs-ssl.site
@@ -3,8 +3,8 @@ server {
listen [::]:443 ssl; ## listen for ipv4; this line is default and implied
# listen [::]:80 default_server ipv6only=on; ## listen for ipv6
- # Temporary, as this is doesn't do i18n
- root /home/docbuilder/landing/docs/;
+ # Temporary, as this doesn't do i18n
+ root /home/docbuilder/build/docs-landing/;
# Make site accessible from http://localhost/
server_name docs.taler.net
diff --git a/taler-build/update_doc_landing.sh b/taler-build/update_doc_landing.sh
new file mode 100644
index 0000000..d8bdfa4
--- /dev/null
+++ b/taler-build/update_doc_landing.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
+ git reset --hard "$branch"
+}
+
+cd $HOME/landing
+fetch
+
+git submodule update --force --init
+AUTOMAKE="automake --foreign" autoreconf -fiv
+./configure
+cd demo/
+make
+
+# copy files over.
+mkdir -p $HOME/build/docs-landing/
+cp -t $HOME/build/docs-landing/ docs/*.{html,css,svg}